## juju 0.5+bzr398

=== debian/changelog ===
juju (0.5+bzr398-0ubuntu1) oneiric; urgency=low

  * New upstream snapshot.
  * refreshed patches

 -- Clint Byrum <clint@ubuntu.com>  Sun, 09 Oct 2011 09:50:34 -0700

juju (0.5+bzr361-0ubuntu1) oneiric; urgency=low

  * New upstream snapshot. Note upstream rename of project from ensemble
    to juju. Rename upload exception granted by slangasek on IRC.
  * d/p/fix-failing-bundle-test.patch,fix-tests-with-no-ssh-key.patch:
    dropped, merged upstream.
  * d/p/fix-tests-without-aws-access-key-id: refreshed for rename.
  * d/control: change ensemble to meta-package which depends on juju
    so users who have ensemble will have it replaced with juju.
  * d/rules: pull source from lp:juju
  * debian/ensemble: install warning binary for transition.
  * d/p/disable-failing-zookeeper-test.patch: Disable test due to race
    condition in the test (not underlying code), as confirmed upstream.

 -- Clint Byrum <clint@ubuntu.com>  Wed, 28 Sep 2011 09:42:32 -0700

ensemble (0.5+bzr336-0ubuntu1) oneiric; urgency=low

  * New upstream snapshot.
  * d/patches/fix-*: Patches to fix failing tests.
  * d/rules: fail to build if tests fail. Remove test-results.txt
    from package (not as interesting now that they MUST pass).
    (LP: #801020)
  * d/control: Depend on openssh-client. (LP: #835154)

 -- Clint Byrum <clint@ubuntu.com>  Tue, 06 Sep 2011 11:30:15 -0700

ensemble (0.5+bzr306-0ubuntu1) oneiric; urgency=low

  * New upstream snapshot.

 -- Clint Byrum <clint@ubuntu.com>  Wed, 10 Aug 2011 11:59:13 -0500

ensemble (0.5+bzr283-0ubuntu1) oneiric; urgency=low

  * New upstream snapshot.
  * d/control: add build-depends to run test suite
  * d/rules: run test suite but do not fail on it yet

 -- Clint Byrum <clint@ubuntu.com>  Tue, 26 Jul 2011 17:03:36 -0700

ensemble (0.5+bzr274-0ubuntu1) oneiric; urgency=low

  * New upstream snapshot
  * Removing leading article from synopsis to quiet lintian warning.

 -- Clint Byrum <clint@ubuntu.com>  Tue, 12 Jul 2011 16:53:48 -0700

ensemble (0.5+bzr251-0ubuntu1) oneiric; urgency=low

  * Initial Packaging

 -- Clint Byrum <clint@ubuntu.com>  Sun, 12 Jun 2011 20:59:45 -0700
