=== debian/control ===
Source: juju
Section: python
Priority: optional
XS-Python-Version: >= 2.5
Maintainer: Juju Developers <juju@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), python, 
    zookeeper,
    python-twisted,
    python-txzookeeper (>= 0.2.0),
    python-argparse,
    python-txaws,
    python-yaml,
    python-pydot,
    python-apt
Homepage: https://launchpad.net/juju
Standards-Version: 3.9.1
Vcs-Bzr: https://code.launchpad.net/~juju/juju/packaging

Package: juju
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-twisted, python-txzookeeper (>= 0.2.0), python-argparse, python-txaws, python-yaml, openssh-client
Recommends: python-pydot
Provides: ${python:Provides}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Breaks: ensemble ( <= 0.5+bzr336-0ubuntu1 )
Replaces: ensemble ( <= 0.5+bzr336-0ubuntu1 )
Description: next generation service orchestration system
 Juju is a next generation service orchestration framework. It has been
 likened to APT for the cloud. With Juju, different authors are able to
 create service formulas, called charms, independently, and make those
 services coordinate their communication and configuration through a
 simple protocol.

Package: ensemble
Architecture: all
Depends: juju
Description: transition package for rename to juju
 Ensemble has been renamed to Juju
 .
 Juju is a next generation service orchestration framework. It has been
 likened to APT for the cloud. With Juju, different authors are able to
 create service formulas, called charms, independently, and make those
 services coordinate their communication and configuration through a
 simple protocol.
