=== debian/rules ===
#!/usr/bin/make -f

REV=$(shell dpkg-parsechangelog | sed -rne 's,^Version: .*[+~]bzr([0-9]+).*,\1,p')
VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_auto_test:
	./test

get-orig-source:
	bzr export -r $(REV) --root=ensemble=$(VER).orig \
               ensemble_$(VER).orig.tar.gz lp:juju

override_dh_clean:
	dh_clean
