## juju 0.5+bzr531

=== debian/changelog ===
juju (0.5+bzr531-0ubuntu1.3) precise-security; urgency=low

  * SECURITY UPDATE: d/p/upstream-543.patch: Disable password authentication
    on LXC containers created in the local provider. (LP: #1016428)
  * SECURITY UPDATE: d/p/upstream-564.patch: Fix example mysql charm to
    not expose root mysql password to all users. (LP: #1040165)
  * SECURITY UPDATE: d/p/upstream-565.patch: Verify charm store hostname
    matches hostname on SSL certificate. (LP: #992447)

 -- Clint Byrum <clint@ubuntu.com>  Thu, 23 Aug 2012 17:12:26 -0700

juju (0.5+bzr531-0ubuntu1.2) precise-proposed; urgency=low

  * d/p/upstream-541-542.patch: fix shell script to make proposed work
    for local provider. (LP: #1007657)

 -- Clint Byrum <clint@ubuntu.com>  Mon, 18 Jun 2012 14:00:56 -0700

juju (0.5+bzr531-0ubuntu1.1) precise-proposed; urgency=low

  * d/p/upstream-532.patch: use proper whitespace separation in
    relation-ids. (LP: #988065)
  * d/p/upstream-533.patch: workaround to suppress Zookeeper logging
    which goes out of control in local provider on Reboot.(LP: #958312)
  * d/p/upstream-534.patch: fix to stop juju-log and relation-set commands
    outputting "{}" to stdout, which can break some programs and makes it
    difficult to use them in a debug-hooks session. (LP: #915506)
  * d/p/upstream-537.patch: make HTTPS apt sources usable inside local
    provider. (LP: #993034)
  * d/p/upstream-538.patch: Add support to install juju from proposed
    pocket to test proposed SRU's. (LP: #926550)

 -- Clint Byrum <clint@ubuntu.com>  Tue, 29 May 2012 22:56:16 -0700

juju (0.5+bzr531-0ubuntu1) precise; urgency=low

  * New upstream snapshot (LP: #985249)
  * d/p/fix-tests-without-aws-key.patch: Dropped as it has been
    superseded by a better upstream fix (LP: #819329)
  * d/p/no-write-sample-on-help.patch: Dropped, Applied upstream.
  * d/p/disable-failing-zookeeper-test.patch refreshed.
  * d/control: new code requires latest txzookeeper upstream.

 -- Clint Byrum <clint@ubuntu.com>  Wed, 18 Apr 2012 15:45:34 -0700

juju (0.5+bzr504-0ubuntu1) precise; urgency=low

  * New upstream snapshot (LP: #962507 LP: #953258 LP: #965507).
  * d/control: Depend and Build-Depend on python-oauth for MaaS.
  * d/control: Drop dummy ensemble package and make breaks/replaces
    broader to force removal of any ensemble package. (LP: #954492)
  * d/control: Move lxc, libvirt-bin, and zookeeper to Suggests to
    reduce the amount of packages installed on every node unecessarily
    and also avoid conflicting when deploying into a libvirt-bin
    default network VM (LP: #962389)
  * d/rules: skip test suite when nocheck is set.
  * d/rules: remove redundant dh_clean call
  * d/juju.install: remove usr, with only one binary package this is
    not necessary anymore and causes dh_install to fail because no
    files are installed to debian/tmp anymore.
  * d/rules,d/control,d/manpages,d/juju.manpages: Generate basic
    manpage from online help. (LP: #966611)
  * d/patches/no-write-sample-on-help.patch: Added so --help can be
    safely run without a writable home dir on buildds. (LP: #957682)

 -- Clint Byrum <clint@ubuntu.com>  Fri, 30 Mar 2012 15:28:16 -0700

juju (0.5+bzr457-0ubuntu1) precise; urgency=low

  * New upstream snapshot.

 -- Clint Byrum <clint@ubuntu.com>  Thu, 16 Feb 2012 03:44:02 -0800

juju (0.5+bzr447-0ubuntu1) precise; urgency=low

  * d/control: Recommend components necessary for local provider except
    apt-cacher-ng, which is suggested. (LP: #873540) Also depend on tmux
    for debug-hooks and recommend byobu so the branding will be the same.
  * d/control: removing inaccurate Vcs-Bzr.
  * New upstream snapshot.
    - Fixed regression with twisted 11.1 (LP: #917954)

 -- Clint Byrum <clint@ubuntu.com>  Mon, 23 Jan 2012 10:16:55 -0800

juju (0.5+bzr424-0ubuntu1) precise; urgency=low

  * New upstream snapshot.
  * d/control: No longer build-dep or depend on python-argparse, as
    it seems to cause fits with pkg_resources.

 -- Clint Byrum <clint@ubuntu.com>  Thu, 01 Dec 2011 13:15:51 -0800
