## juju 0.5.1

=== debian/changelog ===
juju (0.5.1-3) unstable; urgency=low

  * Disable test suite build to address FTBFS issues (Closes: #702791)

 -- Clint Byrum <clint@ubuntu.com>  Fri, 22 Mar 2013 11:11:54 -0700

juju (0.5.1-2) unstable; urgency=high

  * SECURITY UPDATE: d/p/upstream-565.patch: Verify charm store hostname
    matches hostname on SSL certificate. (Closes: #685728)
  * d/p/upstream-566.patch: Fix test suite failure causing FTBFS with
    python 2.7.3.

 -- Clint Byrum <spamaps@debian.org>  Thu, 23 Aug 2012 17:41:25 -0700

juju (0.5.1-1) unstable; urgency=low

  * New upstream release

 -- Clint Byrum <spamaps@debian.org>  Sat, 30 Jun 2012 06:58:12 -0700

juju (0.5+bzr542-1) unstable; urgency=low

  * New upstream snapshot

 -- Clint Byrum <spamaps@debian.org>  Mon, 18 Jun 2012 12:10:19 -0700

juju (0.5+bzr541-1) unstable; urgency=low

  * New upstream snapshot

 -- Clint Byrum <spamaps@debian.org>  Sun, 17 Jun 2012 15:39:48 -0700

juju (0.5+bzr539-1) unstable; urgency=low

  * Initial Packaging (Closes: #629857)

 -- Clint Byrum <spamaps@debian.org>  Mon, 11 Jun 2012 15:40:48 -0700
