=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: juju
-Section: python
+Section: net
 Priority: optional
 XS-Python-Version: >= 2.5
-Maintainer: Juju Developers <juju@lists.ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~), python, 
+Maintainer: Clint Byrum <spamaps@debian.org>
+Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3~),
     zookeeper,
     python-twisted,
     python-txzookeeper (>= 0.9.5~),
@@ -12,9 +12,10 @@
     python-pydot,
     python-apt,
     python-oauth,
-    help2man
+    help2man,
+    lsb-release
 Homepage: https://launchpad.net/juju
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 
 Package: juju
 Architecture: all
@@ -23,8 +24,6 @@
 Suggests: apt-cacher-ng, lxc, libvirt-bin, zookeeper
 Provides: ${python:Provides}, ${misc:Depends}
 XB-Python-Version: ${python:Versions}
-Breaks: ensemble
-Replaces: ensemble
 Description: next generation service orchestration system
  Juju is a next generation service orchestration framework. It has been
  likened to APT for the cloud. With Juju, different authors are able to
