=== debian/rules ===
--- 
+++ 
@@ -6,13 +6,13 @@
 %:
 	dh $@ --buildsystem=python_distutils --with python2
 
-override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	./test
-endif
+#override_dh_auto_test:
+#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+#	./test
+#endif
 
 get-orig-source:
-	bzr export -r $(REV) --root=ensemble=$(VER).orig \
+	bzr export -r $(REV) --root=juju-$(VER).orig \
                juju_$(VER).orig.tar.gz lp:juju
 
 override_dh_auto_clean::
@@ -30,7 +30,7 @@
 	$(HELP2MAN) --name "juju bootstrap tool" \
      --include debian/manpages/juju-admin.in bin/juju-admin \
      > debian/manpages/juju-admin.1.partial
-	for i in `ls bin|grep -v juju` ; do \
+	for i in `ls bin|grep -v juju$$|grep -v juju-admin$$` ; do \
         $(HELP2MAN) --name "Juju charm API commands" \
          --include debian/manpages/charm_api.in \
          bin/$$i > debian/manpages/$$i.1.partial ;\
