## juju 0.6

=== Makefile ===
--- 
+++ 
@@ -3,10 +3,6 @@
 
 all:
 	@echo "You've just watched the fastest build on earth."
-
-html:
-	make -C docs html
-	#@gnome-open docs/build/html/index.html
 
 tests:
 	./test
@@ -33,7 +29,7 @@
 
 modified=$(shell bzr status -S -r ancestor:$(JUJU_TRUNK) |grep -P '^\s*M' | awk '{print $$2;}'| grep -P ".py$$")
 review:
-	@test -n "$(modified)" && echo $(modified) | xargs $(PEP8) --repeat
+	#@test -n "$(modified)" && echo $(modified) | xargs $(PEP8) --repeat
 	@test -n "$(modified)" && echo $(modified) | xargs pyflakes
