=== debian/changelog ===
juju (0.6-1ubuntu1) quantal; urgency=low

  * d/patches/maas-tag-conversion.patch: Fix maas provider api usage
    of maas-tags constraint. (LP: #1064734)

 -- Martin Packman <martin.packman@canonical.com>  Wed, 10 Oct 2012 14:41:08 +0000

juju (0.6-1) experimental; urgency=low

  * New upstream release
  * d/control: Removing libvirt-bin from Suggests as it is no longer
    needed.

 -- Clint Byrum <spamaps@debian.org>  Tue, 09 Oct 2012 12:35:35 -0700

juju (0.5.99+bzr585-1) experimental; urgency=low

  * New upstream snapshot.

 -- Clint Byrum <spamaps@debian.org>  Tue, 02 Oct 2012 13:05:17 -0700

juju (0.5.1+bzr566-1) experimental; urgency=low

  * New upstream release
  * d/control: build-dep and dep on procps because "kill" is called
    in juju.lib.service

 -- Clint Byrum <spamaps@debian.org>  Fri, 24 Aug 2012 16:02:42 -0700

juju (0.5.1+bzr559-1) experimental; urgency=low

  * New upstream snapshot
  * Use new environment variable to raise test timeout since
    5s may be too low on some buidlds. (LP: #1026714)

 -- Clint Byrum <spamaps@debian.org>  Thu, 19 Jul 2012 11:01:09 -0700
