=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: net
 Priority: optional
 XS-Python-Version: >= 2.5
-Maintainer: Clint Byrum <spamaps@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Clint Byrum <spamaps@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3~),
     zookeeper,
     python-twisted,
@@ -13,15 +14,16 @@
     python-apt,
     python-oauth,
     help2man,
-    lsb-release
+    lsb-release,
+    procps
 Homepage: https://launchpad.net/juju
 Standards-Version: 3.9.3
 
 Package: juju
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-twisted, python-txzookeeper (>= 0.9.5~), python-txaws, python-yaml, openssh-client, tmux, python-oauth
+Depends: ${python:Depends}, ${misc:Depends}, python-twisted, python-txzookeeper (>= 0.9.5~), python-txaws, python-yaml, openssh-client, tmux, python-oauth, procps
 Recommends: python-pydot, byobu
-Suggests: apt-cacher-ng, lxc, libvirt-bin, zookeeper
+Suggests: apt-cacher-ng, lxc, zookeeper
 Provides: ${python:Provides}, ${misc:Depends}
 XB-Python-Version: ${python:Versions}
 Description: next generation service orchestration system
