=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,10 @@
 %:
 	dh $@ --buildsystem=python_distutils --with python2
 
-#override_dh_auto_test:
-#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-#	./test
-#endif
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	JUJU_TEST_TIMEOUT=30 ./test
+endif
 
 get-orig-source:
 	bzr export -r $(REV) --root=juju-$(VER).orig \
