=== debian/changelog ===
juju (0.7-0ubuntu2) saucy; urgency=low

  * Re-introduce juju 0.7 package to saucy to support use with pre
    juju 1.11 environments (LP: #1200878):
    - d/control: Drop juju package; this is now owned by juju-core.
  * d/patches/juju-0.7-head.patch: Resync 0.7 release with head of
    upstream 0.7 branch.
  * d/patches/workaround-lxc-python-env.patch: Dropped, included in
    resync with upstream 0.7 branch.
  * d/rules,juju.docs->juju.docs.in: Put documentation into the juju-0.7
    package.

 -- James Page <james.page@ubuntu.com>  Fri, 23 Aug 2013 12:07:03 +0100

juju (0.7-0ubuntu1) raring; urgency=low

  [ Clint Byrum ]
  * d/p/fix-tests-do-not-use-etc-lsb-release: Dropped, patch applied upstream.
  * d/p/maas-tag-conversion.patch: Dropped, patch applied upstream.
  * d/juju.docs: Remove examples as they have been dropped upstream.

  [ Mark Mims ]
  * Add postinst and prerm scripts using update-alternatives to install into
    a versioned location, enabling co-installability with the go juju port.

  [ Martin Packman ]
  * New upstream release. (lp: #1167921)
  * d/p/workaround-lxc-python-env.patch: Workaround regression with local
    provider failing with SyntaxError on running lxc scripts when user has
    Python 3 specific environment variables set. (lp: #1130809)

 -- Martin Packman <martin.packman@canonical.com>  Wed, 10 Apr 2013 13:57:21 +0000
