=== debian/control ===
--- 
+++ 
@@ -17,11 +17,13 @@
     lsb-release,
     procps
 Homepage: https://launchpad.net/juju
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 
-Package: juju
+Package: juju-0.7
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python-twisted, python-txzookeeper (>= 0.9.5~), python-txaws, python-yaml, openssh-client, tmux, python-oauth, procps
+Breaks: juju (<< 0.7-0ubuntu1~)
+Replaces: juju (<< 0.7-0ubuntu1~)
 Recommends: python-pydot, byobu
 Suggests: apt-cacher-ng, lxc, zookeeper
 Provides: ${python:Provides}, ${misc:Depends}
